Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMapBase

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase

    public abstract class AbstractConcurrentMapBase
    extends java.lang.Object

Nested Class Summary
`interface` | `AbstractConcurrentMapBase.Entry`
`static class` | `AbstractConcurrentMapBase.Segment`

Field Summary
`protected static int` | `MAXIMUM_CAPACITY`
`protected AbstractConcurrentMapBase.Segment[]` | `segments`

Constructor Summary
`AbstractConcurrentMapBase(java.lang.Object segmentInfo)`

Method Summary
`protected AbstractConcurrentMapBase.Segment` | `createSegment(java.lang.Object segmentInfo, int cap)`
`int` | `fullSize()`
`protected static int` | `hash(java.lang.Object key)`
`AbstractConcurrentMapBase.Segment` | `segmentFor(int hash)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### segments

    protected final AbstractConcurrentMapBase.Segment[] segments

Constructor Detail

### AbstractConcurrentMapBase

    public AbstractConcurrentMapBase(java.lang.Object segmentInfo)

Method Detail

### createSegment

    protected AbstractConcurrentMapBase.Segment createSegment(java.lang.Object segmentInfo, int cap)

### fullSize

    public int fullSize()

### hash

    protected static int hash(java.lang.Object key)

### segmentFor

    public AbstractConcurrentMapBase.Segment segmentFor(int hash)

### size

    public int size()

### values

    public java.util.Collection values()

Groovy Documentation